#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	CImg
Version		:	v.3.1.6
Release		:	16.2.1.rel%{?dist}
Summary		:	C++ Template Image Processing Toolkit

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	(CeCILL or CeCILL-C) and LGPLv3
URL		:	https://github.com/dtschump/CImg

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:  ImageMagick-devel
BuildRequires	:  fftw
BuildRequires	:  libjpeg-turbo-devel
BuildRequires	:  libpng-devel
BuildRequires	:  libtiff
BuildRequires	:  libXrandr
BuildRequires	:  opencv
BuildRequires	:  xorg-libX11
BuildRequires	:  xorg-libXext
#-----------------------------------------------------------------------------
%description
 
%files
%defattr(-,root,root,-)

#=============================================================================
%package		devel
Summary		:	OpenMP header files

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
OpenMP header files.
	
#-----------------------------------------------------------------------------
%files 			devel
%defattr(-,root,root,-)
%doc *.txt
%{_includedir}/%{name}.h
%{_includedir}/%{name}/plugins/*.h

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build
# This is a headers only package.

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	-C examples					\
	linux 

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}						\
	%{buildroot}%{_includedir}/%{name}/plugins
	
install -pm644 						\
	CImg.h						\
	%{buildroot}%{_includedir}/
	
install -pm644						\
	plugins/*.h					\
	%{buildroot}%{_includedir}/%{name}/plugins/

#-----------------------------------------------------------------------------
%changelog
